/*Defaults*/
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

@font-face {
    font-family: 'Amatic sc';
    src: url('../fonts/Amatic_SC/AmaticSC-Regular.ttf');
}

html {

    scroll-behavior: smooth;
}

:root {
    /*light theme*/
    --red: #CE1212;
    --white: #fff;
    --lightgrey: #EEEEEE;
    --darkgrey_light: #4F4F5A;
    --black: #212529;
    --fontgreylight: #7f7f90;

    /*dark theme*/
    --yellow: #D78C23;
    --grey: #252525;
    --darkgrey: #202020;
    --blackgrey: #171717;
    --darkyellow: #C17E1F;
    --fontgreydark: #9F9F9F;
}


.header-primary {
    font-family: 'Amatic sc', 'arial';
    font-size: 3rem;
    text-transform: uppercase;
}

.header-secondary {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-size: 1.3rem;
    text-transform: capitalize;
    font-weight: bold;
}

.paragraph {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-size: 1rem;
    color: var(--darkgrey_light);
}

.light {
    font-weight: lighter;
}

.title {
    text-align: center;
}

.title h2 {
    text-transform: uppercase;
    color: var(--fontgreylight);
}

.title h1 span {
    color: var(--red);
}


/*============== home section ===============*/
#home {
    background-color: var(--lightgrey);
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.home-navbar {
    display: flex;
    position: fixed;
    top: 0;
    width: 100%;
    justify-content: space-between;
    align-items: center;
    background-color: var(--white);
    padding: 1rem 3rem;
    filter: drop-shadow(4px 4px 4px rgba(0, 0, 0, 0.1));
    z-index: 100;
}

.home-logo {
    text-decoration: none;
    font-size: 2rem;
    color: var(--black);
}

.home-logo span {
    color: var(--red);
}




.navbar-icon {
    display: none;
}

.navbar-close-label {
    display: none;
    position: absolute;
    top: 0;
    right: 0;
    color: var(--fontgreydark);
    z-index: 1;
    font-size: 0.5rem;
}

.navbar-list {
    opacity: 1;
    width: 30%;
}

.navbar-ul {
    list-style: none;
    display: flex;
    justify-content: space-between;
}


.navbar-list-item a {
    color: var(--fontgreylight);
    font-size: 1.2rem;
    font-weight: 600;
    text-decoration: none;
    transition: color 0.3s, border-bottom ease-in 1s;
}

.navbar-list-item a::after {
    content: '';
    display: block;
    height: 2px;
    width: 0;
    transition: width 0.6s , background-color .6s ease;
}

.visited-span {
    background-color: blue;
    display: block;
    position: relative;
    top: 100%;
    height: 2px;
    width: 100%;
}

.navbar-list-item a:hover::after {
    width: 100%;
    background-color: var(--red);
}

.navbar-list-item a:hover {
    color: var(--black);
}


.hidden {
    display: none;
}

.theme-changer i {
    font-size: 1.5rem;
    padding: 1rem 3rem;
    cursor: pointer;
}

#home .dark-mode-label .fa-sun {
    color: var(--white);
    display: none;
}





.home-content {
    margin: 5% auto;
    padding: 5% 0;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

.home-caption {
    width: 35%;
    display: flex;
    flex-direction: column;
}

.home-caption .paragraph {
    padding: 20px 0;
}

.home-content .header-primary {
    font-size: 4rem;
    color: var(--darkgrey);
}

.caption-buttons {
    margin-top: 20px;
    display: flex;
    gap: 2rem;
    justify-content: flex-start;
    align-items: center;
}

.caption-buttons a {
    text-decoration: none;
}

.booking-button {
    background-color: var(--red);
    color: var(--white);
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    text-transform: capitalize;
    padding: 3% 5%;
    border-radius: 20px;
    border-top-left-radius: 0;
}


.video-button {
    width: 50%;
    display: flex;
    align-items: center;
    color: var(--black);
    transition: color 0.3s;
}

.video-icon {
    width: 60px;
    height: 60px;
    background: linear-gradient(to right, var(--red) 50%, transparent 50%);
    position: relative;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.video-icon::before {
    content: '';
    background-color: var(--white);
    height: 75%;
    width: 75%;
    border-radius: 50%;
    position: absolute;
}

.video-icon i {
    z-index: 1;
    font-size: 1rem;
}

.video-button .header-secondary {
    font-size: 1rem;
}

.video-button:hover {
    color: var(--red);
}


.home-image {
    margin-left: 5%;
    width: 35%;
}

.home-image img {
    width: 100%;
    filter: drop-shadow(4px 4px 9px rgba(0, 0, 0, 0.5));
    transition: animation 0.5s;
}

.home-image img:hover {
    animation: shake 1s;
    animation-iteration-count: infinite;
}


/*chefs section*/
#chefs {
    height: max-content;
    display: flex;
    padding: 3rem;
    flex-direction: column;
    align-items: center;
    padding-top: 80px;
}

.chef-card-container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
} 





.chef-card {
    width: 25%;
    margin: 2rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 10px;
    box-shadow: 3px 3px 15px 0px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s;
}

.chef-card-image {
    position: relative;
    overflow: hidden;
}

.chef-card img {
    width: 100%;
}

.chef-card-image .chef-svg,
.chef-svg-dark {
    position: absolute;
    width: 100%;
    bottom: -3px;
    left: 0;
}

.chef-svg-dark {
    opacity: 0;
}

.chef-card-caption {
    padding: 1rem;
    text-align: center;
}

.chef-card .paragraph {
    color: var(--fontgreylight);
}



.chef-card-caption .header-primary {
    color: var(--black);
}

.chef-card-caption p:nth-child(2) {
    font-size: 0.9rem;
    margin: 0.5rem;
    text-transform: capitalize;
}

.chef-card-caption p:nth-child(3) {
    font-style: italic;
}

.chef-image-hover {
    position: absolute;
    top: 20px;
    right: -20%;
    transition: right 0.5s;
}

.chef-card-social-list {
    width: 50px;
    text-align: center;
    list-style-type: none;
    background-color: rgb(255, 255, 255, 0.4);
}

.chef-card-social-list i {
    padding: 10px;
    color: var(--fontgreylight);
    font-size: 1.3rem;
    transition: color 0.3s;
}

.chef-card-social-list i:hover {
    color: var(--black);
}

.chef-card:hover {
    transform: scale(1.1);
}

.chef-card:hover .chef-image-hover {
    right: 20px;
}


/*gallery section*/
#gallery {
    background-color: var(--lightgrey);
    height: fit-content;
    padding: 3rem;
}

.gallery-section-container {
    height: 1200px;
    display: flex;
    flex-direction: column;
    align-content: center;
    flex-wrap: wrap;
    margin: auto;
}

.gallery-section-image {
    width: 30%;
    margin: 10px;
    position: relative;
    overflow: hidden;
    border: 4px var(--white) solid;
}

.gallery-section-image img {
    width: 100%;
    position: relative;
    transition: transform 0.5s;
}

.gallery-section-image .gallery-image1,
.gallery-section-image .gallery-image2 {
    order: 1;
}

.gallery-section-image .gallery-image3,
.gallery-section-image .gallery-image4 {
    order: 2;
}

.gallery-section-image .gallery-image5,
.gallery-section-image .gallery-image6,
.gallery-section-image .gallery-image7 {
    order: 3;
}

.gallery-section-container::before,
.gallery-section-container::after {
    content: '';
    flex-basis: 100%;
    width: 0;
    order: 2;
}


.gallery-image-caption {
    background-color: rgba(0, 0, 0, 0.55);
    color: var(--white);
    padding: 10px;
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    top: 100%;
    width: 100%;
    height: 100%;
    transition: top 0.5s;
}

.gallery-image-caption .paragraph {
    color: var(--lightgrey);
}

.gallery-section-image:hover .gallery-image-caption {
    top: 0;
}

.gallery-section-image:hover img {
    transform: scale(1.1);
}


/*contact secion*/
#contact {
    height: fit-content;
    padding: 2rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.iframe-map {
    width: 85vw;
    margin: 1rem;
}

.iframe-map iframe {
    width: 100%;
    height: 300px;
}

.contact-list {
    width: 85vw;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.contact-list-item {
    width: 49%;
    display: flex;
    justify-content: flex-start;
    margin: 1rem 0;
    padding: 1rem;
    background-color: #F5F5F5;
}

.contact-list-item i {
    padding: 0;
    margin-right: 1rem;
    height: 50px;
    width: 50px;
    background-color: var(--red);
    color: var(--white);
    position: relative;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.contact-list .header-secondary {
    color: var(--fontgreylight);
}

.contact-list-item .paragraph span {
    color: var(--blackgrey);
    font-weight: bold;
}


.contact-form {
    padding: 1rem;
    margin: 1rem;
    width: 85vw;
    display: flex;
    flex-direction: column;
    box-shadow: 0px 0px 15px 5px rgba(0, 0, 0, 0.1);
}

.contact-form-first {
    display: flex;
    justify-content: space-between;
}

.contact-form-first input {
    width: 49%;
}

.contact-form input,
textarea {
    padding: 1rem;
    margin: 1rem;
    border: var(--lightgrey) 2px solid;
    transition: all 0.5s;
}

.contact-form input:focus,
textarea:focus {
    outline: none;
    border: var(--red) 2px solid;
}

.contact-form input::placeholder,
textarea::placeholder {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-size: 1rem;
}

.contact-form .booking-button {
    border: none;
    border-radius: 20px;
    width: fit-content;
    padding: 1rem;
    margin: 1rem auto;
}



/*footer secion*/
#footer {
    padding: 2rem 1rem;
    height: fit-content;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    background: linear-gradient(#0009, #0009), url('../images/textured-metal-background.jpg') center;
    background-size: contain;
}

#footer i {
    padding: 0;
}


.footer-item {
    width: 25%;
    margin: 1rem;
}

#footer .paragraph,
#footer .header-secondary {
    margin: 0.5rem;
    color: var(--white);
}

.footer-logo {
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.footer-logo .home-logo {
    color: var(--white);
}

.footer-logo img {
    width: 35px;
    margin-right: 0.5rem;
}

.footer-social-list {
    display: flex;
    justify-content: center;
    list-style: none;
    border-top: 1px var(--white) solid;
    padding: 1rem 0;
}

.footer-social-list li i {
    color: var(--white);
    margin: 0 1rem;
}

.footer-item:nth-of-type(2) {
    width: 40%;
}

.footer-subscription {
    margin: 1rem 0;
    display: flex;
    justify-content: flex-start;
}

.footer-subscription input {
    padding: 0.5rem 0.5rem;
    width: 75%;
    margin-right: 10px;
}

.footer-subscription input::placeholder {
    font-size: 1rem;
}

.footer-subscription button {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--red);
    color: var(--white);
    border: none;
    padding: 0 0.5rem;
}

.footer-list {
    display: flex;
    justify-content: space-between;
    list-style: none;
}

.footer-column {
    display: flex;
    flex-direction: column;
    width: 40%;
}

.footer-list a {
    text-decoration: none;
    color: var(--white);
    font-size: 1.1rem;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    width: 100%;
    margin: 0.3rem;
}


.footer-contact-item {
    display: flex;
    align-items: center;
}

.footer-contact-item i {
    color: var(--red);
}